Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create image from url

POST/workspaces/{organizationId}/images/from-url
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
urlstring<uri>required
filenamestring
Responses
201

Image uploaded

idstringrequired
keystringrequired
urlstringrequired
contentTypestringrequired
sizeintegerrequired
503

File storage not configured

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/images/from-url' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "filename": "string"
}'
Response
{
  "id": "string",
  "key": "string",
  "url": "string",
  "contentType": "string",
  "size": 0
}

Was this page helpful?